#
# spec file for package php5-timezonedb
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libxml2 libxml2-devel libzio m4 make man mktemp mm module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions php5 php5-devel popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-alternatives util-linux vim zlib zlib-devel


Name:           php5-timezonedb
%define pkg_name    timezonedb
#
Version:        2017.2
Release:        2.1
#
License:        Other uncritical OpenSource License
Group:          Productivity/Networking/Web/Servers
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  php5-devel
Provides:       php-timezonedb
Supplements:    php(tzdatabase) < %{version}
#
Url:            http://pecl.php.net/package/timezonedb
Source:         http://pecl.php.net/package/%{pkg_name}/%{pkg_name}-%{version}.tgz
Summary:        Timezone Database to be used with PHP's date and time functions
Patch0:         timezonedb-2007.8-location.patch
%requires_eq 	php5

%description
This extension is a drop-in replacement for the builtin timezone
database that comes with PHP. You should only install this extension in
case you need to get a later version of the timezone database than the
one that ships with PHP.

The data that this extension uses comes from the "Olson" database,
which is located at ftp://elsie.nci.nih.gov/pub/.



Authors:
--------
    Derick Rethans <derick@php.net>

%debug_package
%prep
%setup -q -n %{pkg_name}-%{version}
%patch0
%{__mkdir} %{name}

%build
/usr/bin/phpize
pushd %{name}
CFLAGS="%{optflags} -fno-strict-aliasing"
CXXFLAGS="%{optflags} -fno-strict-aliasing"
%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
CXXFLAGS="$CXXFLAGS -fstack-protector"
%endif
export CFLAGS
export CXXFLAGS
../configure --with-libdir=%{_lib}
%{__make} %{?jobs:-j%jobs}
popd

%install
%makeinstall -C %{name} INSTALL_ROOT=%{buildroot}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php5/conf.d
echo "; comment out next line to disable %{pkg_name} extension in php" > %{buildroot}%{_sysconfdir}/php5/conf.d/%{pkg_name}.ini
echo "extension = %{pkg_name}.so" >> %{buildroot}%{_sysconfdir}/php5/conf.d/%{pkg_name}.ini

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/php5/extensions/%{pkg_name}.so
%config(noreplace) %{_sysconfdir}/php5/conf.d/%{pkg_name}.ini
%doc CREDITS

%changelog
* Sun Apr  2 2017 cs@linux-administrator.com
- update to release 2017.2
* Mon Nov 28 2016 cs@linux-administrator.com
- update to release 2016.10
* Fri Nov  4 2016 cs@linux-administrator.com
- update to release 2016.9
* Wed Oct 26 2016 cs@linux-administrator.com
- update to release 2016.8
* Fri Jun 17 2016 cs@linux-administrator.com
- update to release 2016.5
* Tue Apr 19 2016 cs@linux-administrator.com
- update to release 2016.4
* Thu Oct 15 2015 cs@linux-administrator.com
- update to release 2015.7
* Mon Apr 27 2015 cs@linux-administrator.com
- update to release 2015.4
* Tue Apr 14 2015 cs@linux-administrator.com
- update to release 2015.3
* Mon Mar 23 2015 cs@linux-administrator.com
- update to release 2015.2
* Sun Feb  1 2015 cs@linux-administrator.com
- update to release 2015.1
* Tue Nov 11 2014 cs@linux-administrator.com
- update to release 2014.10
* Sat Oct 11 2014 cs@linux-administrator.com
- update to release 2014.8
* Tue Sep  2 2014 cs@linux-administrator.com
- update to release 2014.7
* Fri Aug  8 2014 cs@linux-administrator.com
- update to release 2014.6
* Tue May 13 2014 cs@linux-administrator.com
- update to release 2014.3
* Tue Mar 25 2014 cs@linux-administrator.com
- update to release 2014.2
* Mon Mar 24 2014 cs@linux-administrator.com
- update to release 2014.1
